package com.ruoyi.school.domain.req;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 班级管理对象 sys_class
 *
 * @author ruoyi
 * @date 2024-04-22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SysClassSaveReq", description = "班级管理")
public class SysClassSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 班级ID */

    @ApiModelProperty(name = "班级ID", value = "班级ID")
    private Long classId;

    /** 班级名称 */

    @ApiModelProperty(name = "班级名称", value = "班级名称")
    private String className;

    /** 班级状态  1 - 未开班  2 - 开班 */

    @ApiModelProperty(name = "班级状态  1 - 未开班  2 - 开班", value = "班级状态  1 - 未开班  2 - 开班")
    private Long classState;

}
