package com.ruoyi.system.domain.req;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 班级对象 sys_clazz
 *
 * @author ruoyi
 * @date 2024-04-22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SysClazzQueryReq", description = "班级")
public class SysClazzQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 班级名称 */
    @ApiModelProperty(name = "班级名称", value = "班级名称")
    private String clazzName;

    /** 班级状态 */
    @ApiModelProperty(name = "班级状态", value = "班级状态")
    private Long clazzState;

}
